package com.ruoyi.ibs.list.domain;

import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 企业，商户法人，关联经营人对象 corporate_shareholder
 * 
 * @author ruoyi
 * @date 2024-10-29
 */
@Data
public class CorporateShareholder extends BaseEntity
{
    private static final long serialVersionUID = 1L;
    /** 企业或商户统一社会信用识别码 */
    @Excel(name = "企业或商户统一社会信用识别码")
    private String socialCreditCode;

    /** 客户类型，0法人，1股东 */
    @Excel(name = "1商户客户,2企业客户")
    private String custType;

    /** 持股比例 */
    @Excel(name = "持股比例")
    private float percent;

    /** 关联人姓名 */
    @Excel(name = "关联人姓名")
    private String name;

    /** 关联人身份证号 */
    @Excel(name = "关联人身份证号")
    private String custIdc;

    /** 0企业客户，1商户客户 */
    @Excel(name = "客户类型，0法人，1股东")
    private String customerType;

    private String lpName;

    //股东客户类型
    private String perCustType;

    public void setSocialCreditCode(String socialCreditCode)
    {
        this.socialCreditCode = socialCreditCode;
    }

    public String getSocialCreditCode() 
    {
        return socialCreditCode;
    }
    public void setCustType(String custType) 
    {
        this.custType = custType;
    }

    public String getCustType() 
    {
        return custType;
    }
    public void setPercent(float percent)
    {
        this.percent = percent;
    }

    public float getPercent()
    {
        return percent;
    }
    public void setName(String name) 
    {
        this.name = name;
    }

    public String getName() 
    {
        return name;
    }
    public void setCustIdc(String custIdc) 
    {
        this.custIdc = custIdc;
    }

    public String getCustIdc() 
    {
        return custIdc;
    }

    public String getCustomerType() {
        return customerType;
    }

    public void setCustomerType(String customerType) {
        this.customerType = customerType;
    }

    public String getLpName() {
        return lpName;
    }

    public void setLpName(String lpName) {
        this.lpName = lpName;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("socialCreditCode", getSocialCreditCode())
            .append("custType", getCustType())
            .append("percent", getPercent())
            .append("name", getName())
            .append("custIdc", getCustIdc())
            .append("customerType", getCustomerType())
            .toString();
    }
}
